<?php

ini_set("memory_limit", "1024M");
ini_set('max_execution_time', '360000');
set_time_limit(360000);
require_once __DIR__ . '/../bootstrap/bootstrapMigraction.php';
/** @var \Zeedhi\Framework\DependencyInjection\InstanceManager $instanceManager */
/** @var \Service\MigrationLogin\MigrationAllUsers $migrationService */
$migrationService = $instanceManager->getService('\Service\MigrationLogin\MigrationAllUsers');
$migrationService->dir = __DIR__;
echo "Starting Migration all SAAS!\n";
$migrationService->addLog("Starting Migration all SAAS!");
$start = microtime(true);
try{
    $migrationService->migrationAllSaas();
}catch (\Exception $e){
    echo $e->getMessage();
    throw $e;
}
$end = microtime(true);
$total = $end - $start;
$migrationService->addLog("Done Migration all SAAS!\n Tempo = $total");
echo "Done Migration all SAAS!\n";
